globjects::AbstractStringSource Class Referenceabstract

Superclass for all types of static and dynamic strings, e.g. for the use as Shader code. More...

`#include <globjects/include/globjects/base/AbstractStringSource.h>`

Inheritance diagram for globjects::AbstractStringSource:

## Public Member Functions

virtual std::string | string () const =0
virtual std::vector< std::string > | strings () const
std::vector< const AbstractStringSource * > | flatten () const
virtual void | flattenInto (std::vector< const AbstractStringSource *> &vector) const
virtual std::string | shortInfo () const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const
Public Member Functions inherited from globjects::Changeable
void | changed () const
void | registerListener (ChangeListener *listener)
void | deregisterListener (ChangeListener *listener)

## Additional Inherited Members

Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Detailed Description

Superclass for all types of static and dynamic strings, e.g. for the use as Shader code.

The current string can be queried using string().

See also
  Shader

## Member Function Documentation

## string()

virtual std::string globjects::AbstractStringSource::string | ( |  | ) | const

pure virtual

Implemented in globjects::File, globjects::StaticStringSource, globjects::CompositeStringSource, and globjects::StringTemplate.

## strings()

virtual std::vector<std::string> globjects::AbstractStringSource::strings | ( |  | ) | const

virtual

Reimplemented in globjects::CompositeStringSource.

## flatten()

std::vector<const AbstractStringSource*> globjects::AbstractStringSource::flatten | ( |  | ) | const

## flattenInto()

virtual void globjects::AbstractStringSource::flattenInto | ( | std::vector< const AbstractStringSource *> & | vector | ) | const

virtual

Reimplemented in globjects::CompositeStringSource.

## shortInfo()

virtual std::string globjects::AbstractStringSource::shortInfo | ( |  | ) | const

virtual

Reimplemented in globjects::CompositeStringSource, globjects::File, and globjects::StaticStringSource.

The documentation for this class was generated from the following file:

- AbstractStringSource.h